<?php 
/*
* @package   YouTech Shortcodes
* @author    YouTech Company http://smartaddons.com/
* @copyright Copyright (C) 2015 YouTech Company
* @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/
defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
function skillsYTShortcode($atts, $content = null){
	global $no_number;
	extract(ytshortcode_atts(array(
		"width"		=> '',
		'no_number'	=> '',
	), $atts));
	$css = '';
	$id = uniqid('skills_').rand().time();
	$css .= '#'.$id.'.yt-skills{width:'.$width.'}';
	$skills = '<div class="yt-skills" id="'.$id.'">';
	$skills .= parse_shortcode(str_replace(array("<br/>", "<br>", "<br />"), " ", $content)) ;
	$skills .= '</div>';
	HTMLHelper::_('stylesheet', Uri::base() . "plugins/system/ytshortcodes/shortcodes/skills/css/skills.css");
	
	$doc = Factory::getDocument();
	$doc->addStyleDeclaration($css);
	return $skills;
}
?>